#collection {
  padding-top: 30px;
  margin-bottom: 100px;
}
#collection .upper {
  margin-bottom: 50px;
}

#collection .upper .theme-header {
  margin-bottom: 12px;
}

#collection .upper .collections .theme-header .quantity {
  color: #58595b;
  color: var(--dark);
}
#collection .upper .collections .banner {
  margin-bottom: 20px;
}

#collection .upper .collections .product-grid .image {
  padding: 5px;
  object-fit: contain;
}
#collection .upper .collections .product-grid .product-details {
  --padding: 10px;
  display: none;
  position: absolute;
  top: calc(0px - 10px);
  top: calc(0px - var(--padding));
  left: calc(0px - 10px);
  left: calc(0px - var(--padding));
  height: calc(100% + 2 * 10px);
  height: calc(100% + 2 * var(--padding));
  width: calc(200% + 2 * 10px);
  width: calc(200% + 2 * var(--padding));
  background-color: white;
  outline: 1px solid #58595b;
  outline: 1px solid var(--dark);
  padding: 10px;
  padding: var(--padding);
  z-index: 2;
}
#collection .upper .collections .product-grid.col-6 .product-details {
  width: calc(150% + 2 * 10px);
  width: calc(150% + 2 * var(--padding));
}
#collection .upper .collections .product-grid:hover .product-details {
  display: flex;
}
#collection .upper .collections .product-grid .product-details .like {
  position: absolute;
  bottom: 10px;
  bottom: var(--padding);
  left: 10px;
  left: var(--padding);
  z-index: 2;
}
#collection .upper .collections .product-grid .product-details .like img {
  width: 20px;
  height: 20px;
  object-fit: contain;
}
#collection .upper .collections .product-grid .product-details .image-wrapper {
  flex: 1;
}
#collection .upper .collections .product-grid .product-details .image {
  height: 100%;
  width: 100%;
}
#collection .upper .collections .product-grid .product-details .text-wrapper {
  flex: 1;
}
#collection .upper .collections .product-grid .product-details .text {
  display: flex;
  height: 100%;
  flex-direction: column;
  margin-left: 10px;
  margin-left: var(--padding);
  border-left: 1px solid #b3b3b3;
  border-left: 1px solid var(--grey);
  padding-left: 10px;
  padding-left: var(--padding);
  padding-top: 1%;
  overflow: hidden;
}
#collection .upper .collections .product-grid .product-details .text .details {
  font-size: 13px;
  overflow: hidden;
}
#collection .upper .collections .product-grid .product-details .text .product-name {
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 0;
}
#collection .upper .collections .product-grid .product-details .text .product-collection {
  margin-bottom: 10px;
}
#collection .upper .collections .product-grid .product-details .text .description {
  white-space: pre-wrap;
  line-height: 1.2;
  margin-bottom: 10px;
}
#collection .upper .collections .product-grid .product-details .text .description p:not(#details),
#collection .upper .collections .product-grid .product-details .text .description b,
#collection .upper .collections .product-grid .product-details .text .description br {
  display: none;
}
#collection .upper .collections .product-grid .product-details .text .description p {
  margin-bottom: 0;
}
#collection .upper .collections .product-grid .product-details .text .price {
  margin-bottom: 30px;
}
#collection .upper .collections .product-grid .product-details .text .mar-btn {
  font-size: 14px;
}
#collection .upper .banner-container{
  margin-bottom: 10px;
}
#collection .upper .banner-container .banner{
  object-fit: cover;
  display: block !important;
}





/*---------- best seller -------------*/
#best-seller .theme-header {
  color: #58595b;
  color: var(--dark);
  margin-top: 20px;
}
#best-seller .best-seller-pic{
  border: 1px #f2f2f2 solid;
  border: 1px var(--default-grey) solid;
  position: relative;
}
#best-seller .best-seller-pic .product-image{
  /* height: 200px; */
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
}

#best-seller .like{
  position: absolute;
  bottom: 5px;
  left: 5px;
}
#best-seller .like img {
  height: 20px;
}
#best-seller .best-seller-details .details{
  border: 1px #f2f2f2 solid;
  border: 1px var(--default-grey) solid;
  border-top: 0;
  padding: 5px 10px 5px 10px;
}
#best-seller .best-seller-details .details .product-name {
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 5px;
}

#best-seller .best-seller-details .details .product-collection {
  font-size: 12px;
  margin-bottom: 0;
}

#best-seller .best-seller-details .details .price {
  font-size: 12px;
  margin-bottom: 0;
}
#best-seller .bestSellGrid{
  margin-bottom: 15px;
}
#best-seller .bestSellGrid > .mar-btn {
  display: block;
}





/* ----------------------- search page ------------------------ */
#search-page .theme-header {
  margin-bottom: 12px;
}
#search-page .result-abstract {
  font-size: 13px;
}
#search-page .search-results {
  margin-bottom: 50px;
}
#search-page .search-result {
  display: block;
  margin-bottom: 20px;
}
#search-page .search-result p {
  margin-bottom: 0;
}
#search-page .search-result .product-name {
  font-size: 18px;

}
#search-page .search-result .product-description {
  font-size: 13px;
}
#search-page .search-result .product-url {
  font-size: 13px;
  color: #3bbfad;
  color: var(--theme-green);
}
